<!DOCTYPE html [
   <!ENTITY nbsp "&#160;">
]> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns1="http://пф.рф/АФ/УПП" xmlns:УПП="http://пф.рф/АФ/УПП/типы" xmlns:АФ="http://пф.рф/АФ">
	<xsl:output method="html" indent="yes" encoding="windows-1251"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Протокол проверки</title>
				<style type="text/css">h2 {
                    text-align: center;
                    }

                    .tableHeader {
                    background-color: #C0C0C0;
                    font-weight: bold;
                    }

                    .tableHeaderCell {
                    background-color: #C0C0C0;
                    font-weight: bold;
                    }

                    .tableHeader td, tableHeaderCell {
                    text-align: center;
                    border: 1px solid black;
                    }

                    .tableBorder {
                    border-collapse: collapse;
                    margin-bottom: 10px;
                    }

                    .tableBorder tr td {
                    border: 1px solid black;
                    }

                    .width100 {
                    width: 100%;
                    }</style>
			</head>
			<body>
				<a name="top"></a>
				<h1 style="text-align: center;">Протокол проверки электронного документа</h1>
				<table>
					<tr>
						<td>Код формы</td>
						<td>
							<xsl:value-of select="//УПП:ПроверяемыйДокумент/@КодФормы"/>
						</td>
					</tr>
				</table>
				
				<h2 style="text-align: left;">Описание кодов результата проверки:</h2>
				<table class="tableBorder width100">
					<tr class="tableHeader">
						<td style="width: 10%">Код результата</td>
						<td style="width: 10%">Значение</td>
						<td>Требуемое действие</td>
					</tr>
					<tr>
						<td style="text-align: center;">10</td>
						<td>Предупреждение. Документ принят.</td>
						<td></td>
					</tr>
					<tr>
						<td style="text-align: center;">20</td>
						<td>Предупреждение. Документ принят.</td>
						<td></td>
					</tr>
					<tr>
						<td style="text-align: center;">30</td>
						<td>Ошибка. Документ принят частично.</td>
						<td>Требуется повторное предоставление сведений на застрахованное лицо. Данные по застрахованным лицам, в отношении которых в протоколе сформированы ошибки с указанными типами, не будут приняты и учтены на индивидуальных лицевых счетах. Страхователю по этим застрахованным лицам необходимо устранить ошибки и представить на них отчетность.</td>
					</tr>
					<tr>
						<td style="text-align: center;">40</td>
						<td>Ошибка. Документ принят частично.</td>
						<td>Требуется повторное предоставление сведений на застрахованное лицо. Данные по застрахованным лицам, в отношении которых в протоколе сформированы ошибки с указанными типами, не будут приняты и учтены на индивидуальных лицевых счетах. Страхователю по этим застрахованным лицам необходимо устранить ошибки и представить на них отчетность.</td>
					</tr>
					<tr>
						<td style="text-align: center;">50</td>
						<td>Грубая ошибка. Документ не принят.</td>
						<td>Требуется повторное предоставление документа. Страхователю необходимо устранить ошибки и повторно представить документ.</td>
					</tr>
				</table>
				
				
				<xsl:apply-templates select="/ns1:ЭДПФР"/>
				<xsl:variable name="warning" select="count(descendant::УПП:Проверка[УПП:КодРезультата='10']//УПП:Ошибка | descendant::УПП:Проверка[УПП:КодРезультата='20']//УПП:Ошибка)"/>
				<xsl:variable name="error" select="count(descendant::УПП:Проверка[УПП:КодРезультата='30']//УПП:Ошибка | descendant::УПП:Проверка[УПП:КодРезультата='40']//УПП:Ошибка)"/>
				<xsl:variable name="criticalError" select="count(descendant::УПП:Проверка[УПП:КодРезультата='50']//УПП:Ошибка)"/>
				<h2 style="text-align: left;">Результат проверки:</h2>
				<table class="tableBorder width100">
					<tr class="tableHeader">
						<td>Предупреждений</td>
						<td>Ошибок</td>
						<td>Грубых ошибок</td>
					</tr>
					<tr style="text-align: center;">
						<td>
							<xsl:value-of select="$warning"/>
						</td>
						<td>
							<xsl:value-of select="$error"/>
						</td>
						<td>
							<xsl:value-of select="$criticalError"/>
						</td>
					</tr>
				</table>
				
				<xsl:choose>
					<xsl:when test="$criticalError">
						<h2 style="color: red;">Документ не принят!</h2>
						<h2 style="color: red;">ПФР уведомляет о необходимости устранения имеющихся расхождений (ошибок) в двухнедельный срок после получения данного уведомления</h2>
					</xsl:when>
					<xsl:when test="$error">
						<h2 style="color: red;">Документ принят частично!</h2>
						<h2 style="color: red;">ПФР уведомляет о необходимости устранения имеющихся расхождений (ошибок) в двухнедельный срок после получения данного уведомления</h2>
					</xsl:when>
					<xsl:otherwise>
						<h2 style="color: green;">Документ принят!</h2>
					</xsl:otherwise>
				</xsl:choose>
				
				<xsl:for-each select="/ns1:ЭДПФР/ns1:УПП/УПП:ПроверочныйМодуль">
					<xsl:variable name="numPos" select="position()"/>
					<h2 style="text-align: left;"><xsl:value-of select="$numPos"/>.&nbsp;Перечень выявленных предупреждений и ошибок проверочным модулем &quot;<xsl:value-of select="@Наименование"/>&quot;</h2>
					<xsl:call-template name="printValidateModule" />
				</xsl:for-each>
				<div style="float: left;">Дата и время формирования УПП:&nbsp;<xsl:value-of select="translate(ns1:ЭДПФР/ns1:СлужебнаяИнформация/АФ:ДатаВремя, 'T', ' ')"/></div>
				<div style="float: right;">ID#&nbsp;<xsl:value-of select="ns1:ЭДПФР/ns1:СлужебнаяИнформация/АФ:GUID"/></div>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template name="printValidateModule">
		<xsl:for-each select="УПП:ПроверкаФайлов/УПП:Файл">
			
			<!--<xsl:if test="count(../УПП:Файл)&gt;1">
				<tr>
					<td colspan="5">Проверяемый файл документа:
						<b>
							<xsl:value-of select="@ИмяФайла"/>
						</b>
						<p/>
					</td>
				</tr>
			</xsl:if>-->
			<xsl:if test="count(УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '50']) &gt; 0">
				<h3>Грубые ошибки</h3>
				<table class="tableBorder width100">
					<tr class="tableHeader">
						<td>№ п/п</td>
						<td>Блок проверок</td>
						<td>Код проверки</td>
						<td>Код результата</td>
						<td>Описание проверки</td>
						<td>Место ошибки</td>
						<td>Ожидаемое значение</td>
					</tr>
					<xsl:for-each select="УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '50']">
						<xsl:call-template name="printCheckBlock">
							<xsl:with-param name="numPP" select="position()"/>
						</xsl:call-template>
					</xsl:for-each>
				</table>
			</xsl:if>
			
			<xsl:if test="count(УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '30'] | УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '40']) &gt; 0">
				<h3>Ошибки</h3>
				<table class="tableBorder width100">
					<tr class="tableHeader">
						<td>№ п/п</td>
						<td>Блок проверок</td>
						<td>Код проверки</td>
						<td>Код результата</td>
						<td>Описание проверки</td>
						<td>Место ошибки</td>
						<td>Ожидаемое значение</td>
					</tr>
					<xsl:for-each select="УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '30'] | УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '40']">
						<xsl:call-template name="printCheckBlock">
							<xsl:with-param name="numPP" select="position()"/>
						</xsl:call-template>
					</xsl:for-each>
				</table>
			</xsl:if>
			
			<xsl:if test="count(УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '10'] | УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '20']) &gt; 0">
				<h3>Предупреждения</h3>
				<table class="tableBorder width100">
					<tr class="tableHeader">
						<td>№ п/п</td>
						<td>Блок проверок</td>
						<td>Код проверки</td>
						<td>Код результата</td>
						<td>Описание проверки</td>
						<td>Место ошибки</td>
						<td>Ожидаемое значение</td>
					</tr>
					<xsl:for-each select="УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '10'] | УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '20']">
						<xsl:call-template name="printCheckBlock">
							<xsl:with-param name="numPP" select="position()"/>
						</xsl:call-template>
					</xsl:for-each>
				</table>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="ns1:ЭДПФР">
		Проверяемые документы:
		<ol>
			<xsl:for-each select="ns1:УПП/УПП:ПроверяемыйДокумент/УПП:Файл">
				<li>
					<xsl:value-of select="@ИмяФайла"/>
				</li>
			</xsl:for-each>
		</ol>
	</xsl:template>

	<xsl:template name="printCheckBlock">
		<xsl:param name="numPP" />
		<xsl:for-each select="УПП:БлокПроверок">
			<xsl:call-template name="printCheckBlock">
				<xsl:with-param name="numPP" select="position()"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:variable name="cntError" select="count(child::*[./УПП:КодРезультата != '00'])"/>
		<xsl:variable name="title" select="@Название"/>
		<xsl:if test="$cntError &gt; 0">
			<xsl:for-each select="УПП:Проверка[./УПП:КодРезультата != '00']">
				<xsl:variable name="position" select="position()"/>
				<tr>
					<xsl:if test="$position = 1">
						<td rowspan="{$cntError}">
							<xsl:value-of select="$numPP"/>
						</td>
						<td rowspan="{$cntError}">
							<xsl:value-of select="$title"/>
						</td>
					</xsl:if>
					<td>
						<xsl:value-of select="@ID"/>
					</td>
					<td align="center">
						<xsl:value-of select="УПП:КодРезультата"/>
					</td>
					<td>
						<xsl:value-of select="УПП:ОписаниеПроверки"/>
					</td>
					<td>
						<ul>
							<xsl:for-each select="УПП:Ошибки/УПП:Ошибка">
								<li>
									<xsl:choose>
										<xsl:when test="УПП:Объект">
											<xsl:value-of select="УПП:Объект/УПП:Наименование"/>=
											<xsl:value-of select="УПП:Объект/УПП:Значение"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="УПП:ПутьДоЭлемента"/>
										</xsl:otherwise>
									</xsl:choose>
								</li>
							</xsl:for-each>
						</ul>
					</td>
					<td>
						<ul>
							<xsl:for-each select="УПП:Ошибки/УПП:Ошибка">
								<li>
									<xsl:choose>
										<xsl:when test="УПП:ОжидаемоеЗначение">
											<xsl:value-of select="УПП:ОжидаемоеЗначение"/>
										</xsl:when>
										<xsl:otherwise>
											не&nbsp;указано
										</xsl:otherwise>
									</xsl:choose>
								</li>
							</xsl:for-each>
						</ul>
					</td>
				</tr>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\..\..\Альбом форматов\УПП\СЗВ-М\ПФР-УПП-20160411-b0e2ad26-94dd-49b3-9123-7b1ed07be2e4.XML" htmlbaseurl=""
		          outputurl="..\..\..\..\..\..\..\Альбом форматов\УПП\ПФР-УПП.html" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath=""
		          postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="schemaCache" value="||"/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bGenerateByteCode" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="xsltVersion" value="2.0"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->