<?xml version="1.0" encoding="utf-8"?>
<?mso-application progid="Excel.Sheet"?>
<xsl:stylesheet version="1.0"
xmlns:html="http://www.w3.org/TR/REC-html40"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="urn:schemas-microsoft-com:office:spreadsheet"
    xmlns:o="urn:schemas-microsoft-com:office:office"
    xmlns:x="urn:schemas-microsoft-com:office:excel"
    xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
    xmlns:ns1="http://schema.pfr.ru"
    xmlns:УПП="http://пф.рф/АФ/УПП/типы"
    xmlns:АФ="http://пф.рф/АФ">

    <xsl:key name="checkID" match="//УПП:Проверка/@ID" use="." />

    <xsl:template match="/">
        <Workbook>
            <Styles>
                <Style ss:ID="Default" ss:Name="Normal">
                    <Alignment ss:Vertical="Bottom" />
                    <Borders />
                    <Font />
                    <Interior />
                    <NumberFormat />
                    <Protection />
                </Style>
                <Style ss:ID="s21">
                    <Font ss:Size="22" ss:Bold="1" />
                </Style>
                <Style ss:ID="s22">
                    <Font ss:Size="14" ss:Bold="1" />
                </Style>
                <Style ss:ID="s23">
                    <Font ss:Size="12" ss:Bold="1" />
                </Style>
                <Style ss:ID="s24">
                    <Font ss:Size="10" ss:Bold="1" />
                </Style>
            </Styles>
            <Worksheet ss:Name="Page1">
                <Table>
                    <xsl:call-template name="XMLToXSL" />
                </Table>
            </Worksheet>
        </Workbook>
    </xsl:template>

    <xsl:template name="XMLToXSL">
        <Row>
            <Cell>
                <Data ss:Type="String">Правило</Data>
            </Cell>
            <Cell>
                <Data ss:Type="String">Описание</Data>
            </Cell>
            <Cell>
                <Data ss:Type="String">Код грубости</Data>
            </Cell>
            <Cell>
                <Data ss:Type="String">Файл</Data>
            </Cell>
        </Row>
        <xsl:for-each select="//УПП:Проверка/@ID[generate-id() = generate-id(key('checkID',.)[1])]">
            <xsl:call-template name="printBody">
                <xsl:with-param name="currCheckId" select="." />
            </xsl:call-template>
        </xsl:for-each>
    </xsl:template>
    
    <xsl:template name="printBody">
        <xsl:param name="currCheckId" />
        
        <xsl:for-each select="//УПП:Проверка[@ID = $currCheckId]">
                <Row>
                    <Cell>
                        <Data ss:Type="String">
                            <xsl:value-of select="@ID" />
                        </Data>
                    </Cell>
                    <Cell>
                        <Data ss:Type="String">
                            <xsl:value-of select="УПП:ОписаниеПроверки" />
                        </Data>
                    </Cell>
                    <Cell>
                        <Data ss:Type="String">
                            <xsl:value-of select="УПП:КодРезультата" />
                        </Data>
                    </Cell>
                    <Cell>
                        <Data ss:Type="String">
                            <xsl:value-of select="ancestor::*[local-name(.) = 'Файл']/@ИмяФайла" />
                        </Data>
                    </Cell>
                </Row>
            </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>